Bug Hunting Session
Bug 112474 - Statusbar: Clicking on page number section should open go to dialog
Summary: Statusbar: Clicking on page number section should open go to dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Statusbar Go-To-Page
  Show dependency treegraph
 
Reported: 2017-09-18 16:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-02 11:03 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-18 16:52:07 UTC
The current behaviour of clicking the page number section in the statusbar and it open the floating navigator window isnt a useful workflow and instead should open up the go to page dialog (.uno:GotoPage).
Comment 1 Yousuf Philips (jay) (retired) 2017-09-20 14:09:17 UTC
@Gulsah, @Samuel, @Aron, @Maxim: anyone want to take this one on?
Comment 2 Jim Raykowski 2018-01-02 04:21:08 UTC
Hi Jay, is this one being worked on by anyone? I see it isn't assigned but I just wanted to make sure before sending in a patch.
Comment 3 Heiko Tietze 2018-01-02 09:07:02 UTC
(In reply to Jim Raykowski from comment #2)
> Hi Jay, is this one being worked on by anyone? I see it isn't assigned but I
> just wanted to make sure before sending in a patch.

Apparently no one volunteered so far. Looking forward your patch.
Comment 4 Jim Raykowski 2018-01-02 09:56:23 UTC
link to the patch: https://gerrit.libreoffice.org/#/c/47247/
Comment 5 Commit Notification 2018-01-02 11:03:40 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=180fe42c7cff913a0d7e4059e9355f0cfed9ab6b

tdf#112474 change behavior of left click on writer statusbar page number

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.